Skip to main content
POST
/
experiments
/
{experiment_id}
/
groups
Create an experiment group
curl --request POST \
  --url https://api.qonversion.io/v4/experiments/{experiment_id}/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "weight": 123,
  "name": "<string>",
  "is_control": true,
  "remote_config_uid": "<string>"
}
'
{
  "object": "experiment_group",
  "id": "<string>",
  "url": "<string>",
  "name": "<string>",
  "is_control": true,
  "weight": 123,
  "remote_config_uid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Path Parameters

experiment_id
string
required

Experiment identifier.

Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$

Body

application/json
weight
number
required

Relative traffic weight for this group.

name
string | null

Group display name.

is_control
boolean

Whether this is the control group.

remote_config_uid
string | null

Remote config UID to associate with this group.

Response

Experiment group created.

object
string
Example:

"experiment_group"

id
string

Group identifier.

url
string

Canonical API path.

name
string | null

Group display name.

is_control
boolean

Whether this is the control group.

weight
number

Relative traffic weight for this group.

remote_config_uid
string | null

Remote config UID associated with this group.

created_at
string<date-time>

ISO 8601 creation timestamp.

updated_at
string<date-time>

ISO 8601 last update timestamp.